Bug 57753 - new port: databases/mysql-connector-java
new port: databases/mysql-connector-java
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Greg Lewis
Depends on:
  Show dependency treegraph
Reported: 2003-10-08 17:20 UTC by m.seaman
Modified: 2003-11-05 15:40 UTC (History)
0 users

See Also:

file.shar (9.65 KB, text/plain)
2003-10-08 17:20 UTC, m.seaman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.seaman 2003-10-08 17:20:08 UTC
This superceeds ports/53617

This port contains the latest stable release of the official MySQL
Connector/J JDBC classes.  It's a remote descendant of the code
supplied in the databases/mysql-jdbc-mm port.

Differences from the mysql-jdbc-mm code:

   - Several years more development work

   - Class heirarchy now rooted at com.mysql.jdbc but org.gjt.mm.mysql
     compatibility classes supplied for backwards compatibility

   - Additional BUILD_DEPENDS on java/junit port

   - Doesn't build pkg-plist on the fly

See: http://lists.mysql.com/java/6398
Comment 1 dglo 2003-10-09 14:41:39 UTC
I'm the maintainer of the mysql-jdbc-mm port and I would like to
see that port replaced by mysql-connector-java
Dave Glowacki                                                dglo@SSEC.WISC.EDU
Comment 2 Greg Lewis freebsd_committer 2003-10-16 22:41:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

I'll handle this.  The plan is to ask for a repo copy of mysql-jdbc-mm 
once 4.9 is out then commit this over the top and remove mysql-jdbc-mm.
Comment 3 Greg Lewis freebsd_committer 2003-11-05 15:40:26 UTC
State Changed
From-To: open->closed

Committed, thanks!